from librefi.utils import dump_qs
from hashlib import sha512


def test_dump():
    result = dump_qs({
        "key": "value",
        "three": 3,
        "two_and_half": 2.5,
        "ziobro": [
            {"kurwo": "jebana"},
            {"przestań mi": ["kurwa", "rodzinę prześladować"]}],
    })
    assert sha512(result.encode("utf-8")).hexdigest(
        # flake8: noqa: E501
    ) == '0d0d0598ea18ed0b28b1b4210ac06b742a1cf9a25cb5292db57b9c0cdbcb73bc65d19fa2b7df30dc8281796e3865412760776339a253c10b3025f4b32b187476'
    pass
